NameCompletionTable (BeanShell 2.0b6)
Date: 2016-09-25

bsh.util

## Class NameCompletionTable

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList
      - - bsh.util.NameCompletionTable

- All Implemented Interfaces:
    NameCompletion, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

      public class NameCompletionTable
      extends java.util.ArrayList
      implements NameCompletion

  NameCompletionTable is a utility that implements simple name completion for a collection of names, NameSources, and other NameCompletionTables. This implementation uses a trivial linear search and comparison...
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameCompletionTable()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(NameCompletionTable table)` Add a NameCompletionTable, which is more optimized than the more general NameSource
    `void` | `add(NameSource source)` Add a NameSource which is monitored for names.
    `java.lang.String[]` | `completeName(java.lang.String part)` Return an array containing a string element of the maximum unambiguous namespace completion or, if there is no common prefix, return the list of ambiguous names.
    `protected void` | `getMatchingNames(java.lang.String part, java.util.List found)` Add any matching names to list (including any from other tables)

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, size, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

- - ### Constructor Detail

    - #### NameCompletionTable

          public NameCompletionTable()

  - ### Method Detail

    - #### add

          public void add(NameCompletionTable table)

      Add a NameCompletionTable, which is more optimized than the more general NameSource

    - #### add

          public void add(NameSource source)

      Add a NameSource which is monitored for names. Unimplemented - behavior is broken... no updates

    - #### getMatchingNames

          protected void getMatchingNames(java.lang.String part,
                              java.util.List found)

      Add any matching names to list (including any from other tables)

    - #### completeName

          public java.lang.String[] completeName(java.lang.String part)

      Description copied from interface: `NameCompletion`
      Return an array containing a string element of the maximum unambiguous namespace completion or, if there is no common prefix, return the list of ambiguous names. e.g. input: "java.l" output: [ "java.lang." ] input: "java.lang." output: [ "java.lang.Thread", "java.lang.Integer", ... ] Note: Alternatively, make a NameCompletionResult object someday...
      Specified by:
        `completeName` in interface `NameCompletion`

? 2000-2005 pat@pat.net :-)